%define upstream_name pyconfig

Name:           python-%{upstream_name}
Version:        3.2.3
Release:        %mkrel 4
Summary:        Python-based singleton configuration
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pyconfig/
Source0:        https://files.pythonhosted.org/packages/50/70/8735b55844a482e65daf82827275d3d5867b77fb6413c99061c984dba226/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

%description
This module provides python based configuration that is stored in a singleton
object to ensure consistency across your project.

%package -n     python3-%{upstream_name}
Summary:        Python-based singleton configuration
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{upstream_name}
This module provides python based configuration that is stored in a singleton
object to ensure consistency across your project.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%py3_build

%install
%{__python3} setup.py install --single-version-externally-managed --skip-build --root %{buildroot}

%files -n python3-%{upstream_name}
%doc README.rst
%{_bindir}/pyconfig
%{python3_sitelib}/pyconfig
%{python3_sitelib}/pyconfig-%{version}-*.egg-info


%changelog
* Thu Jul 23 2020 ovitters <ovitters> 3.2.3-4.mga8
+ Revision: 1608295
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 3.2.3-3.mga8
+ Revision: 1534289
- Mageia 8 Mass Rebuild

* Wed Oct 02 2019 guillomovitch <guillomovitch> 3.2.3-2.mga8
+ Revision: 1448947
- rebuild for python 3.8
- drop python2 support

* Mon Jul 01 2019 guillomovitch <guillomovitch> 3.2.3-1.mga8
+ Revision: 1417034
- imported package python-pyconfig

